# Authentication

Use these API operations to manage your authentication tokens.

| Operation | Method | Description |
| --- | --- | --- |
| [Request an access token](#operation/authenticate) | POST | Request an access token for authentication with Ripple APIs. |
| [Test access token](#operation/testAuthToken) | GET | Test if an access token can be used for authentication. |


## Request an access token

 - [POST /v2/oauth/token](https://docs.ripple.com/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/authentication/authenticate.md): Request an access token for authentication with Ripple APIs.

You need to request a token for the environment you want to authenticate with.

Note: The length of the access token isn't fixed, hence it can vary. Avoid validating tokens based on character length.

Tutorials

* Learn how to Request an access token.

#### Environments

| Environment | Domain | Description |
| --- | --- | --- |
| Test | api.test.ripple.com | Test environment with simulated currency. |
| Production | api.ripple.com | Production environment for Ripple Payments Direct |

## Test access token

 - [GET /v2/oauth/token/test](https://docs.ripple.com/products/payments-direct-2/v2025.11/api-docs/payments-direct-api/payments-direct-2-api/authentication/testauthtoken.md): Test if an access token can be used for authentication with Ripple APIs and how much time remains on it.

